<?php
class x9
{
	private $sql;
	public $qry;
	public $qry_ver;
	private $id_empresa;
	public $NomeFantazia;
	public $Email;
	public $Telefone;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
		$this->SelectEmpresa();
		while ($row = mysqli_fetch_object($this->qry)) {
			$this->NomeFantazia = $row->nome_fantazia;
			$this->Email        = $row->email;
			$this->Telefone     = $row->telefone;
		}
	}

	private function execulta()
	{
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}


	function selectAlbum($id_evento, $id_x9_local, $ap)
	{
		$ap = addslashes($ap);
		$this->sql = "select id_album_picasa, usuario_picasa, album_picasa, qto_fotos from album_picasa
								where id_empresa = $this->id_empresa
								and id_evento = $id_evento
								and id_x9_local = $id_x9_local";
		if ($ap != '') {
			$this->sql = $this->sql . " and id_album_picasa = $ap";
		}
		$this->sql = $this->sql . " limit 0,1";

		//echo $this->sql;

		$this->execulta();
	}


	function fotosEscolhidas($id_evento)
	{
		$this->sql = "select a.id_foto_escolhida, a.nome_foto, a.for_album, b.descricao, a.de_onde
						from x9_foto_escolhida a left join x9_desc_pg_reprovada b
						on a.id_foto_escolhida = b.id_foto_escolhida 
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa";

		$this->execulta();
	}

	function InsertEscolhida($id_evento, $nome_foto, $link_foto, $id_x9_local, $for_album, $de_onde, $obs = '')
	{
		$data = date('Y-m-d h:i:s');
		$this->sql = "insert into x9_foto_escolhida
						 (id_evento, id_empresa, nome_foto, link_foto, id_x9_local, data, for_album, de_onde)
						 values
						 ($id_evento, $this->id_empresa, '$nome_foto', '$link_foto', $id_x9_local, '$data', '$for_album', '$de_onde')";

		$this->execulta();
		$id = mysqli_insert_id();



		if ($obs != '') {
			$this->sql = "insert into x9_desc_pg_reprovada
							 (descricao , id_foto_escolhida)
							   values
							 ('$obs', $id)";
			$this->execulta();
		}

		return ($id);
	}


	function VerFotosEscolhidas($id_evento, $id_x9_local, $deFoto)
	{
		$this->sql = "SELECT id_foto_escolhida, nome_foto, link_foto, id_x9_local, de_onde 
						FROM x9_foto_escolhida
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa
						and id_x9_local = $id_x9_local
						limit $deFoto, 10";
		//echo $this->sql;
		$this->execulta();
	}

	function QtoFtosSelecioada($id_empresa, $id_x9_local)
	{
		$this->sql = "SELECT count(id_foto_escolhida) as qto
						FROM x9_foto_escolhida
						where id_evento = $id_empresa
						and id_empresa = $this->id_empresa
						and id_x9_local = $id_x9_local";
		$this->execulta();
	}


	function SelectBotao($id_evento)
	{
		$this->sql = "SELECT btnAmpliacao, btnBioombo, btnOutros, btnAlbum, btnCapa
							FROM x9_controle_botao
							where id_empresa = $this->id_empresa
							and id_evento = $id_evento";
		$this->execulta();
		echo '<script>';
		while ($row = mysqli_fetch_object($this->qry)) {
			if ($row->btnAmpliacao == 1)
				echo '$( "#btnForAmpliacao" ).button({ disabled: true });';

			if ($row->btnBioombo == 1)
				echo '$( "#btnForBioombo" ).button({ disabled: true });';

			if ($row->btnOutros == 1)
				echo '$( "#btnForOutos" ).button({ disabled: true });';

			if ($row->btnAlbum == 1)
				echo '$( "#btnForAlbum" ).button({ disabled: true });';

			if ($row->btnCapa == 1)
				echo '$( "#btnForCapa" ).button({ disabled: true });';
		}
		echo '</script>';
	}



	public function UpdateFotosEscolhida($id_x9_local, $link_foto)
	{
		$this->sql = "UPDATE x9_foto_escolhida 
					SET id_x9_local = $id_x9_local 
					where link_foto = '$link_foto'";
		$this->execulta();
	}


	public function DeleteFotoEscolhida($link_foto, $nome_foto, $id_evento, $id_foto_escolhida = '')
	{
		$this->sql = "DELETE FROM x9_foto_escolhida 
					WHERE link_foto = '$link_foto'
					and nome_foto = '$nome_foto'
					and id_empresa = $this->id_empresa
					and id_evento = $id_evento";

		$this->execulta();


		if ($id_foto_escolhida != '') {
			$this->sql = "delete from x9_desc_pg_reprovada
	 			    where id_foto_escolhida = $id_foto_escolhida";
			$this->execulta();


			$this->sql = "DELETE FROM x9_foto_escolhida 
					where id_foto_escolhida = $id_foto_escolhida";
			$this->execulta();
		}
	}


	function SelectHistorico($id_x9)
	{
		$this->sql = "select obs, data from x9_historico_finalizacao
					  where id_x9 = $id_x9
					  order by data desc";
		$this->execulta();
	}

	function InsertHistorico($id_x9, $obs)
	{
		$dataHora = date("Y/m/d h:i:s");
		$obs = addslashes($obs);
		$this->sql = "insert into x9_historico_finalizacao
					(id_x9, data, obs, id_empresa)
					values
					($id_x9, '$dataHora', '$obs', $this->id_empresa)";
		$this->execulta();


		$this->sql = "update x9
						set x9 = 'Finalizado',
						data_finalizacao = '$dataHora'
						where id_x9 = $id_x9
						and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	function SelectEmpresa()
	{
		$this->sql = "SELECT nome_fantazia, email, telefone FROM empresa
						where id_empresa = $this->id_empresa";
		$this->execulta();
	}

	function getEmailCliente($id_evento)
	{
		$this->sql = "SELECT email FROM evento_email
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa
						limit 0,1";
		$this->execulta();

		while ($row = mysqli_fetch_object($this->qry))
			return $row->email;
	}


	function SelectEvento($id_evento)
	{
		$this->sql = "SELECT nome, data_evento, b.descricao, a.id_evento  
						FROM evento a, tipo_evento b
						where a.id_tipo_evento = b.id_tipo_evento
						and a.id_evento = $id_evento
						and a.id_empresa = $this->id_empresa";
		$this->execulta();
	}
}
